<script setup>
import useUtils from "@/utils/utils.js";

const utils = useUtils()
const props = defineProps(["title", "href", "height"])
const clickPrevent = function () {
	if (props.href != null && props.href.length > 0) {
		utils.popup(props.href, {
			height: props.height
		})
	}
}

</script>

<template>
	<span><slot></slot>&nbsp;<a href="" :title="title" @click.prevent="clickPrevent"><i
		class="pi pi-expand small"></i></a></span>
</template>

<style scoped>

</style>